Experiment Settings
Account-level experimentation bootstrap configuration. The settings record holds the pixel token used by the experiments runtime, the cookie name used for sticky variant assignment, and the domain allowlist. Most accounts only ever have one settings record — use its id as experimentSettingsId when creating an experiment.
Authorization
apiKey Ours Privacy API key
In: header
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.oursprivacy.com/rest/v1/experiment-settings"{
"entities": [
{
"id": "settings_01HZX9BB73EY2Q37VGK5A0VW7A",
"accountId": "org_01HZX8Y0YV9M7Y0F5Q1V3W4P6R",
"name": "Default Web Experiment Settings",
"pixel": "string",
"cookieName": "string",
"whitelistDomains": [
"string"
],
"createdAt": "string",
"updatedAt": "string",
"createdByUserId": "string",
"updatedByUserId": "string"
}
]
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}Authorization
apiKey Ours Privacy API key
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://app.oursprivacy.com/rest/v1/experiment-settings" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "settings_01HZX9BB73EY2Q37VGK5A0VW7A",
"accountId": "org_01HZX8Y0YV9M7Y0F5Q1V3W4P6R",
"name": "Default Web Experiment Settings",
"pixel": "string",
"cookieName": "string",
"whitelistDomains": [
"string"
],
"createdAt": "string",
"updatedAt": "string",
"createdByUserId": "string",
"updatedByUserId": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://app.oursprivacy.com/rest/v1/experiment-settings/string"{
"id": "settings_01HZX9BB73EY2Q37VGK5A0VW7A",
"accountId": "org_01HZX8Y0YV9M7Y0F5Q1V3W4P6R",
"name": "Default Web Experiment Settings",
"pixel": "string",
"cookieName": "string",
"whitelistDomains": [
"string"
],
"createdAt": "string",
"updatedAt": "string",
"createdByUserId": "string",
"updatedByUserId": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://app.oursprivacy.com/rest/v1/experiment-settings/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "settings_01HZX9BB73EY2Q37VGK5A0VW7A",
"accountId": "org_01HZX8Y0YV9M7Y0F5Q1V3W4P6R",
"name": "Default Web Experiment Settings",
"pixel": "string",
"cookieName": "string",
"whitelistDomains": [
"string"
],
"createdAt": "string",
"updatedAt": "string",
"createdByUserId": "string",
"updatedByUserId": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}Authorization
apiKey Ours Privacy API key
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://app.oursprivacy.com/rest/v1/experiment-settings/string"{
"id": "settings_01HZX9BB73EY2Q37VGK5A0VW7A",
"accountId": "org_01HZX8Y0YV9M7Y0F5Q1V3W4P6R",
"name": "Default Web Experiment Settings",
"pixel": "string",
"cookieName": "string",
"whitelistDomains": [
"string"
],
"createdAt": "string",
"updatedAt": "string",
"createdByUserId": "string",
"updatedByUserId": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}{
"error": "string",
"details": "string"
}How is this guide?

